/*********************************************************************
*                     SEGGER Microcontroller GmbH                    *
*                        The Embedded Experts                        *
**********************************************************************
*                                                                    *
*       (c) 1995 - 2019 SEGGER Microcontroller GmbH                  *
*                                                                    *
*       Internet: segger.com  Support: support_embos@segger.com      *
*                                                                    *
**********************************************************************
*                                                                    *
*       embOS * Real time operating system for microcontrollers      *
*                                                                    *
*       Please note:                                                 *
*                                                                    *
*       Knowledge of this file may under no circumstances            *
*       be used to write a similar product or a real-time            *
*       operating system for in-house use.                           *
*                                                                    *
*       Thank you for your fairness !                                *
*                                                                    *
**********************************************************************
*                                                                    *
*       OS version: 5.06                                             *
*                                                                    *
**********************************************************************

----------------------------------------------------------------------
File    : OS_ThreadSafe.c
Purpose : Thread safe library functions
--------  END-OF-HEADER  ---------------------------------------------
*/

#include "RTOS.h"
#include "__libc.h"

/**********************************************************************
*
*       __heap_lock()
*/
void __heap_lock(void) {
  OS_HeapLock();
}

/**********************************************************************
*
*       __heap_unlock()
*/
void __heap_unlock(void) {
  OS_HeapUnlock();
}

/****** End Of File *************************************************/
